# Feel free to tweak any of these values that arent marked with "#! STATIC !#"
# A little bit of an explanation should be provided with each setting
# There is a new way to set values in here, just run 'set option=value' in dosprompt
# NOTE: Strings that are not inside lists or dicts MUST use double-quotes ("), not (')

# a dynamic value which will be changed by the "prompt" command
# variables are explained when the "prompt" command is run without arguments
prompt = "$p> " # type: string

# convert /home/ to \Users\ (True or False)?
home_to_users = True # type: boolean

# Similar to above, but /usr/bin to \Windows\System32?
bin_to_sys32 = True

# automatically clear the screen before running DOSPrompt to avoid color issues
# NOTE: This option is obsolete! Please add or remove 'cls' from the 'auto_start' list below
auto_cls = False # type: boolean

# foreground and background colors (\033[xxm codes) (one-digit numbers)
# You can get a list of color codes by running "color /?" in DOSprompt
# First, do you want color at all? # NOTE: Doesn't work well in the DOSprompt gui (yet) :(
color = False # type: boolean
fg_color = 0 # type: integer
bg_color = 7

# A python list of plugins that should not be reloaded when ran. If you find that a certain python plugin is slow, add it here:
no_reload = ['example', 'entries'] # type: list

# Should DOSPrompt reload its configuration file after every newline? (True is recommended)
reload_conf = True

# Should the environmental variables be updated after every newline? (True is recommended)
reload_env = True

# A list of plugins to run automatically as DOSprompt starts (arguments allowed)
auto_start = []

# enable developer mode? this turns on some of the latest features which are too unstable even for an alpha build (NOTE: this also enables some advanced debugging features now)
developer_mode = True

# a python list of plugins that need a fourth errorlevel argument (the error code of the last command to exit)
# DEPRACATED! Please use 'varies.get("errorlevel")' instead!
need_errorlevel = []

# the module for your language (make sure it exists in the lang/ directory!)
lang_pack = "en"

# a new option for the websearch plugin. The best option is DuckDuckGo, the default, but some others work too. (Use %s to specify where to put the query)
# The url needs to return a JSON dictionary
search_engine = {'name': 'DuckDuckGo', 'url': 'https://api.duckduckgo.com/?q=%s&o=json&t=crazedpsyc'}

# set command aliases (used as shortcuts for long commands)
aliases = {'duck': 'websearch', 'examp': 'echo This is an example alias'}

# Should DOSprompt use DBus (only works with the GUI) (doesn't work well at all) (You should not enable this) 
enable_dbus = False # (DO NOT ENABLE THIS!!!)



# This is not configuration. Do not edit unless you know what you are doing!
if __name__ == '__main__':
    print "This file is not runnable (yet). Please use 'set option=value' or open this file with a text editor\nIf you are writing a non-python plugin that needs access to config, run './varies.py get [variable]'"
